Package org.eclipse.rdf4j.model.vocabulary

## Class GEOF

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.GEOF

-     public class GEOF
      extends Object

  See Also:
    http://www.opengeospatial.org/standards/geosparql

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IRI` | `BOUNDARY` |
    `static IRI` | `BUFFER` |
    `static IRI` | `CONVEX_HULL` |
    `static IRI` | `DIFFERENCE` |
    `static IRI` | `DISTANCE` |
    `static IRI` | `EH_CONTAINS` |
    `static IRI` | `EH_COVERED_BY` |
    `static IRI` | `EH_COVERS` |
    `static IRI` | `EH_DISJOINT` |
    `static IRI` | `EH_EQUALS` |
    `static IRI` | `EH_INSIDE` |
    `static IRI` | `EH_MEET` |
    `static IRI` | `EH_OVERLAP` |
    `static IRI` | `ENVELOPE` |
    `static IRI` | `GET_SRID` |
    `static IRI` | `INTERSECTION` |
    `static String` | `NAMESPACE` |
    `static IRI` | `RCC8_DC` |
    `static IRI` | `RCC8_EC` |
    `static IRI` | `RCC8_EQ` |
    `static IRI` | `RCC8_NTPP` |
    `static IRI` | `RCC8_NTPPI` |
    `static IRI` | `RCC8_PO` |
    `static IRI` | `RCC8_TPP` |
    `static IRI` | `RCC8_TPPI` |
    `static IRI` | `RELATE` |
    `static IRI` | `SF_CONTAINS` |
    `static IRI` | `SF_CROSSES` |
    `static IRI` | `SF_DISJOINT` |
    `static IRI` | `SF_EQUALS` |
    `static IRI` | `SF_INTERSECTS` |
    `static IRI` | `SF_OVERLAPS` |
    `static IRI` | `SF_TOUCHES` |
    `static IRI` | `SF_WITHIN` |
    `static IRI` | `SYM_DIFFERENCE` |
    `static IRI` | `UNION` |
    `static IRI` | `UOM_DEGREE` |
    `static IRI` | `UOM_METRE` |
    `static String` | `UOM_NAMESPACE` |
    `static IRI` | `UOM_RADIAN` |
    `static IRI` | `UOM_UNITY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GEOF()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      See Also:
        Constant Field Values

    - #### DISTANCE

          public static final IRI DISTANCE

    - #### BUFFER

          public static final IRI BUFFER

    - #### CONVEX_HULL

          public static final IRI CONVEX_HULL

    - #### INTERSECTION

          public static final IRI INTERSECTION

    - #### UNION

          public static final IRI UNION

    - #### DIFFERENCE

          public static final IRI DIFFERENCE

    - #### SYM_DIFFERENCE

          public static final IRI SYM_DIFFERENCE

    - #### ENVELOPE

          public static final IRI ENVELOPE

    - #### BOUNDARY

          public static final IRI BOUNDARY

    - #### GET_SRID

          public static final IRI GET_SRID

    - #### RELATE

          public static final IRI RELATE

    - #### SF_EQUALS

          public static final IRI SF_EQUALS

    - #### SF_DISJOINT

          public static final IRI SF_DISJOINT

    - #### SF_INTERSECTS

          public static final IRI SF_INTERSECTS

    - #### SF_TOUCHES

          public static final IRI SF_TOUCHES

    - #### SF_CROSSES

          public static final IRI SF_CROSSES

    - #### SF_WITHIN

          public static final IRI SF_WITHIN

    - #### SF_CONTAINS

          public static final IRI SF_CONTAINS

    - #### SF_OVERLAPS

          public static final IRI SF_OVERLAPS

    - #### EH_EQUALS

          public static final IRI EH_EQUALS

    - #### EH_DISJOINT

          public static final IRI EH_DISJOINT

    - #### EH_MEET

          public static final IRI EH_MEET

    - #### EH_OVERLAP

          public static final IRI EH_OVERLAP

    - #### EH_COVERS

          public static final IRI EH_COVERS

    - #### EH_COVERED_BY

          public static final IRI EH_COVERED_BY

    - #### EH_INSIDE

          public static final IRI EH_INSIDE

    - #### EH_CONTAINS

          public static final IRI EH_CONTAINS

    - #### RCC8_EQ

          public static final IRI RCC8_EQ

    - #### RCC8_DC

          public static final IRI RCC8_DC

    - #### RCC8_EC

          public static final IRI RCC8_EC

    - #### RCC8_PO

          public static final IRI RCC8_PO

    - #### RCC8_TPPI

          public static final IRI RCC8_TPPI

    - #### RCC8_TPP

          public static final IRI RCC8_TPP

    - #### RCC8_NTPP

          public static final IRI RCC8_NTPP

    - #### RCC8_NTPPI

          public static final IRI RCC8_NTPPI

    - #### UOM_NAMESPACE

          public static final String UOM_NAMESPACE

      See Also:
        Constant Field Values

    - #### UOM_DEGREE

          public static final IRI UOM_DEGREE

    - #### UOM_RADIAN

          public static final IRI UOM_RADIAN

    - #### UOM_UNITY

          public static final IRI UOM_UNITY

    - #### UOM_METRE

          public static final IRI UOM_METRE

  - ### Constructor Detail

    - #### GEOF

          public GEOF()